RowDigestResolver (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class RowDigestResolver

    java.lang.Object
      org.apache.cassandra.service.AbstractRowResolver
          org.apache.cassandra.service.RowDigestResolver

All Implemented Interfaces:
  IResponseResolver<Row>

    public class RowDigestResolver

extends AbstractRowResolver

Field Summary

Fields inherited from class org.apache.cassandra.service.AbstractRowResolver
`key, logger, replies, table`

Constructor Summary
`RowDigestResolver(java.lang.String table, java.nio.ByteBuffer key)`

Method Summary
`Row` | `getData()` Special case of resolve() so that CL.ONE reads never throw DigestMismatchException in the foreground
`boolean` | `isDataPresent()`
`Row` | `resolve()` This Method resolves the responses that are passed in .

Methods inherited from class org.apache.cassandra.service.AbstractRowResolver
`getMaxLiveColumns, getMessages, injectPreProcessed, preprocess`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowDigestResolver

    public RowDigestResolver(java.lang.String table,
                             java.nio.ByteBuffer key)

Method Detail

### getData

    public Row getData()
                throws java.io.IOException

  Special case of resolve() so that CL.ONE reads never throw DigestMismatchException in the foreground

  Throws:
    `java.io.IOException`

### resolve

    public Row resolve()
                throws DigestMismatchException,
                       java.io.IOException

  Description copied from interface: `IResponseResolver`
  This Method resolves the responses that are passed in . for example : if its write response then all we get is true or false return values which implies if the writes were successful but for reads its more complicated you need to look at the responses and then based on differences schedule repairs . Hence you need to derive a response resolver based on your needs from this interface.

  Throws:
    `DigestMismatchException`
    `java.io.IOException`

### isDataPresent

    public boolean isDataPresent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation